[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: About dpkg-shlibdeps checks

On Sat, 24 Nov 2007, Soeren Sonnenburg wrote:
> But what is the intended way of fixing things with the newer
> dpkg-shlibdeps ? Adding --rpath ? 

Helping dpkg-shlibdeps with LD_LIBRARY_PATH is the right thing as you did
below... (option -l for dh_shlibdeps)

> $ LD_LIBRARY_PATH=/usr/lib/octave-2.9.17/ dpkg-shlibdeps -v build-octave/sg.oct
> Scanning build-octave/sg.oct (for Depends field)
> Library liboctinterp.so found in /usr/lib/octave-2.9.17/liboctinterp.so
> dpkg-shlibdeps: failure: No dependency information found for liboctinterp.so (used by build-octave/sg.oct).

With dpkg 1.14.11 uploaded yersterday evening, this wouldn't have caused
an error since it's unversionned.

> I am expecting similar problems with R extensions ... where libR.so is
> in /usr/lib/R/lib/libR.so and not even has a SONAME ...

Wihtout SONAME for a private library is the right thing... no reason to
expect more problems. :-)

Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :

Reply to: